package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * OswProfileOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class OswProfileOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("profiles")
  @Valid
  private Map<String, String> profiles = null;

  public OswProfileOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Switch name
   * @return name
  */
  @ApiModelProperty(value = "Switch name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public OswProfileOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Switch MAC
   * @return mac
  */
  @ApiModelProperty(value = "Switch MAC")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public OswProfileOpenApiVo profiles(Map<String, String> profiles) {
    this.profiles = profiles;
    return this;
  }

  public OswProfileOpenApiVo putProfilesItem(String key, String profilesItem) {
    if (this.profiles == null) {
      this.profiles = new HashMap<>();
    }
    this.profiles.put(key, profilesItem);
    return this;
  }

  /**
   * Switch port profiles
   * @return profiles
  */
  @ApiModelProperty(value = "Switch port profiles")


  public Map<String, String> getProfiles() {
    return profiles;
  }

  public void setProfiles(Map<String, String> profiles) {
    this.profiles = profiles;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OswProfileOpenApiVo oswProfileOpenApiVo = (OswProfileOpenApiVo) o;
    return Objects.equals(this.name, oswProfileOpenApiVo.name) &&
        Objects.equals(this.mac, oswProfileOpenApiVo.mac) &&
        Objects.equals(this.profiles, oswProfileOpenApiVo.profiles);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, profiles);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OswProfileOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    profiles: ").append(toIndentedString(profiles)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

